Distribution:   CCux Linux
Packager:	Karsten Brockmann  <arcam@ccux-linux.de>

Summary:	Python bindings for libnotify
Name:		notify-python
Version:	0.1.1
Release:	1
License:	GNU/GPL 
URL:		http://www.galago-project.org/downloads.php
Group:		Development/Python
Source0:	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libnotify-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  dbus-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  python

%description
Python bindings for libnotify.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
# Do NOT package the .so library into -devel !
%_libdir/python2.5/site-packages/gtk-2.0/pynotify/*.so
%_libdir/python2.5/site-packages/gtk-2.0/pynotify/__*
%_datadir/pygtk

%files devel
%defattr(-,root,root)
%_pkgconfig
%_libdir/python2.5/site-packages/gtk-2.0/pynotify/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.1-1
- Initial Release
